<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net7.0-windows</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<Authors>mimic</Authors>
		<Company>eco.ophite.cz</Company>
		<Description>ECO Game Plugin</Description>
		<RootNamespace>McEco.Lib</RootNamespace>
		<AssemblyName>McEco.Lib</AssemblyName>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<NoWarn>1701;1702;1416</NoWarn>
	</PropertyGroup>
	
	<ItemGroup>
		<Reference Include="Eco.Core">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Core.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Gameplay">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Gameplay.dll</HintPath>
		</Reference>
		<Reference Include="Eco.ModKit">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.ModKit.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Mods">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Mods.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Networking.ENet">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Networking.ENet.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Plugins">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Plugins.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Shared">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Shared.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Simulation">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Simulation.dll</HintPath>
		</Reference>
		<Reference Include="Eco.Stats">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.Stats.dll</HintPath>
		</Reference>
		<Reference Include="Eco.WebServer">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.WebServer.dll</HintPath>
		</Reference>
		<Reference Include="Eco.World">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.World.dll</HintPath>
		</Reference>
		<Reference Include="Eco.WorldGenerator">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\Eco.WorldGenerator.dll</HintPath>
		</Reference>
		<Reference Include="EcoServer">
			<HintPath>..\..\..\latest\modkit\ReferenceAssemblies\EcoServer.dll</HintPath>
		</Reference>
	</ItemGroup>

	<Target Name="PostBuild" AfterTargets="PostBuildEvent">
		<Exec Command="copy /Y &quot;$(TargetDir)$(TargetFileName)&quot; &quot;$(SolutionDir)../../../latest/Server/Mods/$(TargetFileName)&quot;" />
	</Target>

</Project>
